Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.hubservices.core.v2
Class AccessRightListType

    java.lang.Object
      be.fgov.ehealth.hubservices.core.v2.AccessRightListType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:59:22+01:00",
               comments="JAXB RI v2.2.11")
    public class AccessRightListType

extends Object
implements Serializable

Java class for AccessRightListType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AccessRightListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="accessright" type="{http://www.ehealth.fgov.be/hubservices/core/v2}AccessRightType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AccessRightListType()`

Method Summary
`List<AccessRightType>` | `getAccessrights()` Gets the value of the accessrights property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccessRightListType

    public AccessRightListType()

Method Detail

### getAccessrights

    public List<AccessRightType> getAccessrights()

  Gets the value of the accessrights property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the accessrights property.

  For example, to add a new item, do as follows:

          getAccessrights().add(newItem);

  Objects of the following type(s) are allowed in the list `AccessRightType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.